# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require_relative 'lib/version'

Gem::Specification.new do |spec|
  spec.name          = "git-recommend"
  spec.version       = Git::Recommend::VERSION
  spec.authors       = ["Thomas Rolfsnes"]
  spec.email         = ["mail@thomasrolfsnes.com"]

  spec.summary       = %q{Generate change recommendations from your git change history}
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = "bin"
  spec.executables   = ["git-recommend","git-test"]
  spec.require_paths = ["lib"]

  spec.add_runtime_dependency "thor"
  spec.add_runtime_dependency "evoc"
  spec.add_runtime_dependency "vcs2json"
  spec.add_runtime_dependency "highline"

  spec.add_development_dependency "bundler", "~> 1.12"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"
end
